Antom, leading provider of tailored payment solutions

editBeneficiary

POST /v1/aba/accounts/editBeneficiary

Use this interface to edit the beneficiary's nickname.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

beneficiaryToken String  REQUIRED

A ciphered text that contains information about the details of the beneficiary's bank account. The cipher is encoded in the Base64 algorithm.

More information:

  • Maximum length: 128 characters

beneficiaryNick String  REQUIRED

The nickname of the beneficiary, which is defined by the user to identify the beneficiary easily.

More information:

  • Maximum length: 70 characters

Response parameters

result Object  REQUIRED

The result of the API call.

Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

The API is called successfully, and no further action is needed.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

CONTRACT_CHECK_FAILFThe contract check has failed.

Check the contract status with Antom before retrying.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

AUTHORIZATION_NOT_EXISTFOAUTH does not exist.

The current token authorization does not exist. Please contact Antom Technical Support to verify token authorization.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

OAUTH_FAILFOAuth process failed.

Contact Antom Technical Support for detailed reasons.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is ​POST​.